=== debian/changelog ===
libquazip (0.4.4-1) unstable; urgency=low

  * Initial release (Closes: #675276)

 -- Eric Maeker <eric.maeker@gmail.com>  Mon, 30 May 2012 12:00:00 +0100
