=== debian/control ===
Source: libquazip
Section: libs
Priority: optional
Maintainer: Debian Med Project List <debian-med@lists.debian.org>
Uploaders: Eric Maeker <eric.maeker@gmail.com>,
 Andreas Tille <tille@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9), libqt4-dev (>= 4.7.0), libxext-dev, zlib1g-dev
Standards-Version: 3.9.3
Homepage: https://sourceforge.net/projects/quazip/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/libquazip/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/libquazip/trunk/

Package: libquazip0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libquazip-doc
Description: C++ wrapper wrapper for ZIP/UNZIP
 QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
 can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
 .
 QuaZIP allows you to access files inside ZIP archives using QIODevice API,
 and that means that you can also use QTextStream, QDataStream or
 whatever you would like to use on your zipped files.
 .
 QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
 from and writing to ZIP archives.

Package: libquazip0-dev
Section: libdevel
Provides: libquazip-dev
Conflicts: libquazip-dev
Architecture: any
Depends: libquazip0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: C++ wrapper wrapper for ZIP/UNZIP (development files)
 QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
 can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
 .
 QuaZIP allows you to access files inside ZIP archives using QIODevice API,
 and that means that you can also use QTextStream, QDataStream or
 whatever you would like to use on your zipped files.
 .
 QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
 from and writing to ZIP archives.
 .
 This package contains the development files.

Package: libquazip0-dbg
Priority: extra
Architecture: any
Section: debug
Depends: libquazip0 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for libquazip
 QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
 can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
 .
 QuaZIP allows you to access files inside ZIP archives using QIODevice API,
 and that means that you can also use QTextStream, QDataStream or
 whatever you would like to use on your zipped files.
 .
 QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
 from and writing to ZIP archives.
 .
 This package contains the debugging symbols for Qt Creator IDE.

Package: libquazip-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: C++ wrapper for ZIP/UNZIP (documentation)
 QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
 can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
 .
 QuaZIP allows you to access files inside ZIP archives using QIODevice API,
 and that means that you can also use QTextStream, QDataStream or
 whatever you would like to use on your zipped files.
 .
 QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
 from and writing to ZIP archives.
 .
 This package contains the API documentation in HTML.
