=== debian/changelog ===
libquazip (0.5-1) unstable; urgency=low

  [ Eric Maeker ]
  * New upstream
  * creating multi-arch binaries
    * debian/rules
    * debian/libquazip0.install
    * debian/libquazip0-dev.install
  * debian/copyright: removed symlink
  * including upstream changelog in all packages
  * debian/libquazip-doc: lintian overrides duplicate files

  [ Andreas Tille ]
  * debian/control: removed dependency from libquazip0-headers
    which is no part of the package

 -- Eric Maeker <eric.maeker@gmail.com>  Tue, 18 Dec 2012 08:34:13 +0100
