=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: libquazip
 Section: libs
 Priority: optional
-Maintainer: Debian Med Project List <debian-med@lists.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Eric Maeker <eric.maeker@gmail.com>,
  Andreas Tille <tille@debian.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 9), libqt4-dev (>= 4.7.0), libxext-dev, zlib1g-dev
+Build-Depends: debhelper (>= 9), libqt4-dev (>= 4:4.7.0), libxext-dev, zlib1g-dev
 Standards-Version: 3.9.3
 Homepage: https://sourceforge.net/projects/quazip/
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/libquazip/trunk/
 Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/libquazip/trunk/
 
 Package: libquazip0
+Multi-Arch: same
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: libquazip-doc
 Description: C++ wrapper wrapper for ZIP/UNZIP
@@ -30,8 +32,9 @@
 Section: libdevel
 Provides: libquazip-dev
 Conflicts: libquazip-dev
+Multi-Arch: same
 Architecture: any
-Depends: libquazip0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libquazip0 (= ${binary:Version}), ${misc:Depends}
 Description: C++ wrapper wrapper for ZIP/UNZIP (development files)
  QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
  can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
@@ -47,6 +50,7 @@
 
 Package: libquazip0-dbg
 Priority: extra
+Multi-Arch: same
 Architecture: any
 Section: debug
 Depends: libquazip0 (= ${binary:Version}), ${misc:Depends}
@@ -63,8 +67,27 @@
  .
  This package contains the debugging symbols for Qt Creator IDE.
 
+#Package: libquazip0-headers
+#Section: libdevel
+#Multi-Arch: foreign
+#Architecture: all
+#Depends: ${misc:Depends}
+#Description: C++ wrapper for ZIP/UNZIP (documentation)
+# QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
+# can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
+# .
+# QuaZIP allows you to access files inside ZIP archives using QIODevice API,
+# and that means that you can also use QTextStream, QDataStream or
+# whatever you would like to use on your zipped files.
+# .
+# QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
+# from and writing to ZIP archives.
+# .
+# This package contains the headers files for the dev package.
+
 Package: libquazip-doc
 Section: doc
+Multi-Arch: foreign
 Architecture: all
 Depends: ${misc:Depends}
 Description: C++ wrapper for ZIP/UNZIP (documentation)
