=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,13 @@
 VERSION := $(shell echo '$(DEBVERS)' | sed -e 's/[+-].*//' -e 's/~//g')
 name := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
 
+# Actually not needed
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
 QMAKE_GENERIC := \
 		LIBS+=-lz \
-		VERSION=$(VERSION)
+		VERSION=$(VERSION) \
+		LIB_ARCH="$(DEB_HOST_MULTIARCH)"
 
 %:
 	dh $@ --buildsystem=qmake_qt4 --parallel --dbg-package=libquazip0-dbg
@@ -20,13 +24,24 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(QMAKE_GENERIC) $(extra_configure_opts)
+	cp NEWS.txt NEWS
 
 override_dh_auto_clean:
 	rm -Rf quazip/.obj
 	rm -Rf quazip/.moc
 	find . -name Makefile -delete
+	rm -Rf NEWS
 	dh_auto_clean
 
 override_dh_auto_install:
-	dh_auto_install -Smakefile -- INSTALL_ROOT=$(CURDIR)/debian/tmp
+	dh_auto_install -Smakefile -- INSTALL_ROOT=$(CURDIR)/debian/tmp 
 
+override_dh_installchangelogs:
+	pwd
+#	cp NEWS.txt NEWS
+	dh_installchangelogs -plibquazip0 NEWS upstream
+	dh_installchangelogs -plibquazip0-dev NEWS upstream
+	dh_installchangelogs -plibquazip0-dbg NEWS upstream
+	dh_installchangelogs -plibquazip0-headers NEWS upstream
+	dh_installchangelogs
+
