## libquazip 0.5.1

=== debian/changelog ===
libquazip (0.5.1-2) unstable; urgency=low

  [ Rohan Garg <rohangarg@kubuntu.org> ]
  * Make sure libquazip-dev depends on zlib1g-dev (Closes: #712905)

  [ Andreas Tille ]
  * Remove the just created README.Debian that explains rather historic
    status than the current package
  * debian/control:
     - Standards-Version: 3.9.4
     - DM-Upload-Allowed removed
     - cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Fri, 21 Jun 2013 08:27:25 +0200

libquazip (0.5.1-1) unstable; urgency=low

  [ Eric Maeker ]
  * New upstream
  * debian/patch: Updating patches (multiarch, remove tests)
  * Static lib
    * debian/rules: building the static version of the lib
    * debian/libquazip0-dev.install: adding the static lib to the dev package
  * debian/rules: libquazip0-headers was removed
  * Adding debian/libquazip-doc.lintian-overrides

  [ Andreas Tille ]
  * remove debian/d-{devlibdeps,shlibmove} which were injected as a hack
    aroung not yet working d-shlibs but are not used anyway

 -- Eric Maeker <eric.maeker@gmail.com>  Mon, 18 Mar 2013 18:02:42 +0100
