=== debian/control ===
Source: libquazip
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Eric Maeker <eric.maeker@gmail.com>,
           Andreas Tille <tille@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9),
               libqt4-dev (>= 4:4.7.4),
               libxext-dev,
               zlib1g-dev
Standards-Version: 3.9.4
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/libquazip/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/libquazip/trunk/
Homepage: https://sourceforge.net/projects/quazip/

Package: libquazip0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: libquazip-doc
Pre-Depends: ${misc:Pre-Depends}
Description: C++ wrapper wrapper for ZIP/UNZIP
 QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
 can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
 .
 QuaZIP allows you to access files inside ZIP archives using QIODevice API,
 and that means that you can also use QTextStream, QDataStream or
 whatever you would like to use on your zipped files.
 .
 QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
 from and writing to ZIP archives.

Package: libquazip0-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libquazip0 (= ${binary:Version}),
         ${misc:Depends},
         zlib1g-dev
Conflicts: libquazip-dev
Provides: libquazip-dev
Description: C++ wrapper wrapper for ZIP/UNZIP (development files)
 QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
 can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
 .
 QuaZIP allows you to access files inside ZIP archives using QIODevice API,
 and that means that you can also use QTextStream, QDataStream or
 whatever you would like to use on your zipped files.
 .
 QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
 from and writing to ZIP archives.
 .
 This package contains the development files.

Package: libquazip0-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libquazip0 (= ${binary:Version}),
         ${misc:Depends}
Description: debugging symbols for libquazip
 QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
 can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
 .
 QuaZIP allows you to access files inside ZIP archives using QIODevice API,
 and that means that you can also use QTextStream, QDataStream or
 whatever you would like to use on your zipped files.
 .
 QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
 from and writing to ZIP archives.
 .
 This package contains the debugging symbols for Qt Creator IDE.

Package: libquazip-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: C++ wrapper for ZIP/UNZIP (documentation)
 QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
 can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
 .
 QuaZIP allows you to access files inside ZIP archives using QIODevice API,
 and that means that you can also use QTextStream, QDataStream or
 whatever you would like to use on your zipped files.
 .
 QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
 from and writing to ZIP archives.
 .
 This package contains the API documentation in HTML.
