=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,6 @@
 VERSION := $(shell echo '$(DEBVERS)' | sed -e 's/[+-].*//' -e 's/~//g')
 name := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
 
-# Actually not needed
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 QMAKE_GENERIC := \
@@ -18,12 +17,15 @@
 		VERSION=$(VERSION) \
 		LIB_ARCH="$(DEB_HOST_MULTIARCH)"
 
+QMAKE_STATIC := CONFIG+=staticlib -o Makefile.Static
+
 %:
 	dh $@ --buildsystem=qmake_qt4 --parallel --dbg-package=libquazip0-dbg
 	
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(QMAKE_GENERIC) $(extra_configure_opts)
+	dh_auto_configure -- $(QMAKE_GENERIC) $(QMAKE_STATIC) $(extra_configure_opts)
 	cp NEWS.txt NEWS
 
 override_dh_auto_clean:
@@ -33,15 +35,22 @@
 	rm -Rf NEWS
 	dh_auto_clean
 
+override_dh_auto_build:
+	# Build the static lib
+	dh_auto_build -Smakefile -- -f Makefile.Static
+	rm -Rf quazip/.obj
+	rm -Rf quazip/.moc
+	# Build the dynamic lib
+	dh_auto_build -Smakefile
+
 override_dh_auto_install:
-	dh_auto_install -Smakefile -- INSTALL_ROOT=$(CURDIR)/debian/tmp 
+	dh_auto_install -Smakefile -- INSTALL_ROOT=$(CURDIR)/debian/tmp
+	cp -a quazip/libquazip.a $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
 
 override_dh_installchangelogs:
-	pwd
-#	cp NEWS.txt NEWS
 	dh_installchangelogs -plibquazip0 NEWS upstream
 	dh_installchangelogs -plibquazip0-dev NEWS upstream
 	dh_installchangelogs -plibquazip0-dbg NEWS upstream
-	dh_installchangelogs -plibquazip0-headers NEWS upstream
+	#dh_installchangelogs -plibquazip0-headers NEWS upstream
 	dh_installchangelogs
