## libquazip 0.6.2

=== doc/latex/Makefile ===
--- 
+++ 
@@ -28,6 +28,8 @@
 	      latex refman.tex ;\
 	      latex_count=`expr $$latex_count - 1` ;\
 	    done
+	makeindex refman.idx
+	latex refman.tex
 
 refman_2on1.ps: refman.ps
 	psnup -2 refman.ps >refman_2on1.ps
@@ -36,4 +38,4 @@
 	ps2pdf refman_2on1.ps refman_2on1.pdf
 
 clean:
-	rm -f *.ps *.dvi *.aux *.toc *.idx *.ind *.ilg *.log *.out refman.pdf
+	rm -f *.ps *.dvi *.aux *.toc *.idx *.ind *.ilg *.log *.out *.brf *.blg *.bbl refman.pdf
