=== debian/changelog ===
libquazip (0.6.2-0ubuntu1) trusty; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 12 Feb 2014 14:58:42 +0000
