=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: libquazip
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Eric Maeker <eric.maeker@gmail.com>,
            Andreas Tille <tille@debian.org>
 Section: libs
