=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,6 @@
 
 %:
 	dh $@ --buildsystem=qmake_qt4 --parallel --dbg-package=libquazip0-dbg
-	
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(QMAKE_GENERIC) $(extra_configure_opts)
@@ -31,8 +30,12 @@
 override_dh_auto_clean:
 	rm -Rf quazip/.obj
 	rm -Rf quazip/.moc
+	rm -Rf quazip/libquazip.so.*
+	rm -Rf quazip/libquazip.so
+	rm -Rf quazip/libquazip.a
 	find . -name Makefile -delete
 	rm -Rf NEWS
+	rm -Rf Makefile.Static quazip/Makefile.Static
 	dh_auto_clean
 
 override_dh_auto_build:
@@ -53,4 +56,3 @@
 	dh_installchangelogs -plibquazip0-dbg NEWS upstream
 	#dh_installchangelogs -plibquazip0-headers NEWS upstream
 	dh_installchangelogs
-
