## libquazip 0.7

=== debian/changelog ===
libquazip (0.7-2) unstable; urgency=medium

  [Eric Maeker]
  * Add some missing Conflicts, Breaks, Replaces to headers package
  * headers package was empty

  [Andreas Tille]
  * renaming package libquazip1-headers to libquazip-headers
  * Add missing Conflicts / Breaks / Provides / Replaces statements
    Closes: #755196

 -- Eric Maeker <eric.maeker@gmail.com>  Wed, 13 Aug 2014 11:50:31 +0200

libquazip (0.7-1) unstable; urgency=low

  [ Eric Maeker ]
  * New upstream
  * debian/patches:
    - Removed multiarch patch as it is now merged in upstream
  * debian/control;debian/rules
    - renaming package libquazip1-dev to libquazip-dev
    - renaming package libquazip-qt5-1-dev to libquazip-qt5-dev

 -- Eric Maeker <eric.maeker@gmail.com>  Sat, 09 Aug 2014 19:18:16 +0200

libquazip (0.6.2-2) unstable; urgency=low

  [ Eric Maeker ]
  * debian/rules;debian/control;debian/*qt5*:
     - renaming qt5 package libquazip1-qt5{...} to libquazip-qt5-1{...}
  * debian/copyright:
     - adding LGPL3 (Thanks to Thorsten Alteholz)
  * debian/rules:
     - managing conflicts/replaces between libquazip0 and libquazip1

  [ Andreas Tille ]
  * debian/control: libquazip1-dev Provides: libquazip-dev

 -- Eric Maeker <eric.maeker@gmail.com>  Sun, 20 Jul 2014 10:47:03 +0200

libquazip (0.6.2-1) unstable; urgency=low

  [ Eric Maeker ]
  * New upstream release
  * debian/control:
     - Standards-Version: 3.9.5
  * debian/rules;debian/control;debian/*qt5*:
     - Dual build: Qt4 & Qt5
  * debian/rules
     - including quazip unit-tests in override_dh_auto_test
  * debian/*.lintian-overrides
     - managing multiarch warnings
  * patches:
     - updating patches to new upstream
     - "-qt5" in target and lib names
  * patches;debian/control;debian/*.symbols*
     - renaming libquazip0 to libquazip1, updating lib soname version
     - library soname version was switched to the qmake project files defined
       ABI version (1.0.0), not the code release version (Closes: #719742)

  [ Andreas Tille ]
  * debian/control: Fix Vcs fields using `cme fix dpkg-control`

 -- Eric Maeker <eric.maeker@gmail.com>  Mon, 14 Jul 2014 16:22:38 +0200
