=== debian/control ===
Source: libquazip
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Eric Maeker <eric.maeker@gmail.com>,
           Andreas Tille <tille@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9),
               libqt4-dev (>= 4:4.7.4),
               qt4-qmake (>= 4:4.7.4),
               qtchooser,
               qt5-default,
               qt5-qmake,
               libxext-dev,
               zlib1g-dev
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/libquazip/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/libquazip/trunk/
Homepage: https://sourceforge.net/projects/quazip/

Package: libquazip1
Replaces: libquazip0
Conflicts: libquazip0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: libquazip-doc
Pre-Depends: ${misc:Pre-Depends}
Description: C++ wrapper wrapper for ZIP/UNZIP (Qt4 build)
 QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
 can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
 .
 QuaZIP allows you to access files inside ZIP archives using QIODevice API,
 and that means that you can also use QTextStream, QDataStream or
 whatever you would like to use on your zipped files.
 .
 QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
 from and writing to ZIP archives.
 .
 QuaZIP is by default built using Qt4 libraries.

Package: libquazip-dev
Replaces: libquazip0-dev, libquazip1-dev
Conflicts: libquazip0-dev, libquazip1-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libquazip1 (= ${binary:Version}),
         libquazip-headers (= ${binary:Version}),
         ${misc:Depends},
         zlib1g-dev
Description: C++ wrapper wrapper for ZIP/UNZIP (development files, Qt4 build)
 QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
 can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
 .
 QuaZIP allows you to access files inside ZIP archives using QIODevice API,
 and that means that you can also use QTextStream, QDataStream or
 whatever you would like to use on your zipped files.
 .
 QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
 from and writing to ZIP archives.
 .
 This package contains the development files.
 .
 QuaZIP is by default built using Qt4 libraries.

Package: libquazip-dbg
Replaces: libquazip0-dbg, libquazip1-dbg
Conflicts: libquazip0-dbg, libquazip1-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libquazip1 (= ${binary:Version}),
         ${misc:Depends}
Description: debugging symbols for libquazip (Qt4 build)
 QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
 can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
 .
 QuaZIP allows you to access files inside ZIP archives using QIODevice API,
 and that means that you can also use QTextStream, QDataStream or
 whatever you would like to use on your zipped files.
 .
 QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
 from and writing to ZIP archives.
 .
 This package contains the debugging symbols for Qt Creator IDE.
 .
 QuaZIP is by default built using Qt4 libraries.

Package: libquazip-qt5-1
Replaces: libquazip1-qt5
Provides: libquazip1-qt5
Breaks: libquazip1-qt5
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: libquazip-doc
Pre-Depends: ${misc:Pre-Depends}
Description: C++ wrapper wrapper for ZIP/UNZIP (Qt5 build)
 QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
 can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
 .
 QuaZIP allows you to access files inside ZIP archives using QIODevice API,
 and that means that you can also use QTextStream, QDataStream or
 whatever you would like to use on your zipped files.
 .
 QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
 from and writing to ZIP archives.
 .
 QuaZIP built using Qt5 libraries.

Package: libquazip-qt5-dev
Replaces: libquazip-qt5-1-dev
Conflicts: libquazip-qt5-1-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libquazip-qt5-1 (= ${binary:Version}),
         libquazip-headers (= ${binary:Version}),
         ${misc:Depends},
         zlib1g-dev
Description: C++ wrapper wrapper for ZIP/UNZIP (development files, Qt5 build)
 QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
 can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
 .
 QuaZIP allows you to access files inside ZIP archives using QIODevice API,
 and that means that you can also use QTextStream, QDataStream or
 whatever you would like to use on your zipped files.
 .
 QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
 from and writing to ZIP archives.
 .
 This package contains the development files.
 .
 QuaZIP built using Qt5 libraries.

Package: libquazip-qt5-dbg
Replaces: libquazip-qt5-1-dbg
Conflicts: libquazip-qt5-1-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libquazip-qt5-1 (= ${binary:Version}),
         ${misc:Depends}
Description: debugging symbols for libquazip (Qt5 build)
 QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
 can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
 .
 QuaZIP allows you to access files inside ZIP archives using QIODevice API,
 and that means that you can also use QTextStream, QDataStream or
 whatever you would like to use on your zipped files.
 .
 QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
 from and writing to ZIP archives.
 .
 This package contains the debugging symbols for Qt Creator IDE.
 .
 QuaZIP built using Qt5 libraries.


Package: libquazip-headers
Conflicts: libquazip0-dev, libquazip1-headers
Replaces: libquazip1-headers
Breaks: libquazip1-headers
Architecture: any
Multi-Arch: foreign
Section: libdevel
Depends: ${misc:Depends}
Description: C++ wrapper for ZIP/UNZIP (development header files)
 QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
 can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
 .
 QuaZIP allows you to access files inside ZIP archives using QIODevice API,
 and that means that you can also use QTextStream, QDataStream or
 whatever you would like to use on your zipped files.
 .
 QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
 from and writing to ZIP archives.
 .
 This package contains the headers of the library.

Package: libquazip-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: C++ wrapper for ZIP/UNZIP (documentation)
 QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
 can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
 .
 QuaZIP allows you to access files inside ZIP archives using QIODevice API,
 and that means that you can also use QTextStream, QDataStream or
 whatever you would like to use on your zipped files.
 .
 QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
 from and writing to ZIP archives.
 .
 This package contains the API documentation in HTML.
