=== debian/changelog ===
libquazip (0.7.1-1) unstable; urgency=medium

  [Andreas Tille]
  * New upstream version
  * Enable changing suffix
  * cme fix dpkg-control
  * remove *-dbg packages since this is autogenerated now
  * delete useless autogenerated doxygen files
  * do not Build-Depend from metapackage qt5-default
  * DEP5 fixes
  * Move packaging to Git
  * Remove deactivated patches
  * Rename packages to reflect the library rename (s/-qt5/5/)
  * Remove unused override

  [Stefan Ahlers]
  * Using CMake instead of qmake
  * Replace -qt5 suffix with suffix provided by CMake (Closes: #805087)
  * debian/patches:
    - Because of using cmake, multiarch_version.patch,
      quazip-qt5-target-name.patch and qztest-link-to-qt5.patch are obsolete
    - Add cmake-fix.patch to backport unreleased changes from upstream
  * Add package for Qt5 headers

 -- Andreas Tille <tille@debian.org>  Fri, 08 Jan 2016 11:02:57 +0100
