=== debian/watch ===
version=3
http://sf.net/quazip/quazip-(.+)\.(?:tar\.gz)
# http://sourceforge.net/projects/quazip/files/quazip/0.4.4/quazip-0.4.4.tar.gz/download
