=== debian/changelog ===
libquazip (0.7.2-1) unstable; urgency=medium

  [ Stefan Ahlers ]
  * New upstream version
  * debian/patches:
    - remove cmake-fix.patch because its applied upstream

  [ Andreas Tille ]
  * cme fix dpkg-control
  * hardening=+bindnow

 -- Stefan Ahlers <stef.ahlers@t-online.de>  Sat, 18 Jun 2016 16:02:57 +0100
