=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
 Section: libs
 Priority: optional
 Build-Depends: debhelper (>= 9),
-               libqt4-dev (>= 4:4.7.4),
+               libqt4-dev,
                cmake,
                qtbase5-dev,
                qtchooser,
                libxext-dev,
                zlib1g-dev
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/debian-med/libquazip.git
-Vcs-Git: git://anonscm.debian.org/debian-med/libquazip.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libquazip.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/libquazip.git
 Homepage: https://sourceforge.net/projects/quazip/
 
 Package: libquazip1
@@ -26,7 +26,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Conflicts: libquazip0
 Replaces: libquazip0
-Description: C++ wrapper wrapper for ZIP/UNZIP (Qt4 build)
+Description: C++ wrapper for ZIP/UNZIP (Qt4 build)
  QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
  can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
  .
@@ -51,7 +51,7 @@
            libquazip1-dev
 Replaces: libquazip0-dev,
           libquazip1-dev
-Description: C++ wrapper wrapper for ZIP/UNZIP (development files, Qt4 build)
+Description: C++ wrapper for ZIP/UNZIP (development files, Qt4 build)
  QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
  can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
  .
@@ -73,10 +73,13 @@
          ${misc:Depends}
 Suggests: libquazip-doc
 Pre-Depends: ${misc:Pre-Depends}
-Breaks: libquazip1-qt5, libquazip-qt5-1
-Provides: libquazip1-qt5, libquazip-qt5-1
-Replaces: libquazip1-qt5, libquazip-qt5-1
-Description: C++ wrapper wrapper for ZIP/UNZIP (Qt5 build)
+Breaks: libquazip1-qt5,
+        libquazip-qt5-1
+Provides: libquazip1-qt5,
+          libquazip-qt5-1
+Replaces: libquazip1-qt5,
+          libquazip-qt5-1
+Description: C++ wrapper for ZIP/UNZIP (Qt5 build)
  QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
  can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
  .
@@ -97,9 +100,11 @@
          libquazip-headers (= ${binary:Version}),
          ${misc:Depends},
          zlib1g-dev
-Conflicts: libquazip-qt5-1-dev, libquazip-qt5-dev
-Replaces: libquazip-qt5-1-dev, libquazip-qt5-dev
-Description: C++ wrapper wrapper for ZIP/UNZIP (development files, Qt5 build)
+Conflicts: libquazip-qt5-1-dev,
+           libquazip-qt5-dev
+Replaces: libquazip-qt5-1-dev,
+          libquazip-qt5-dev
+Description: C++ wrapper for ZIP/UNZIP (development files, Qt5 build)
  QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
  can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
  .
